{% extends 'user.html.twig' %}

{% block title %}Gérer les cours{% endblock %}

{% block body %}
<section class="container">
	<div class="row justify-content-md-center p-5">
		<h1>Gérer les cours</h1>
		<a href="{{ path("admin_cours_ajout") }}" class="btn blue float-right">+</a>
		<table class="table striped centered">
			<thead>
				<tr>
					<th>Nom du cours</th>
					<th>Nombre de stagiaires</th>
					<th>Date de début</th>
					<th>Date de fin</th>
					<th>Cours validé</th>
					<th>Formation</th>
					<th class="text-center">Actions</th>
				</tr>
			</thead>
			<tbody>
			{% for cour in cours %}
				<tr>
					<td>{{cour.nomCours}}</td>
					<td>{{cour.nbStagiaire}}</td>
					<td>{{cour.dateDebut | date("d/m/Y")}}</td>
					<td>{{cour.dateFin | date("d/m/Y")}}</td>
					<td>
						<label class="form-check form-switch mt-2">
							<input class="form-check-input" type="checkbox" {{ (cour.validationCours) ? 'checked' : ''}} data-id="{{cour.id}}">
							<span class="slider"></span>
						</label>
					</td>
					<td>{{cour.formation}}</td>
					<td class="text-center">
						<a href="{{ path("admin_cours_show", {id:cour.id}) }}" class="btn blue"><i class="bi bi-eye"></i></a>
						<a href="{{ path("admin_cours_edit", {id: cour.id}) }}" class="btn blue"><i class="bi bi-pencil-square"></i></a>
						<a href="{{ path("admin_cours_supprimer", {id: cour.id}) }}" class="btn primary press modal-trigger"><i class="bi bi-trash"></i></a>
						<a href="{{ path("admin_cours_cloture", {id: cour.id}) }}" class="btn primary press modal-trigger"><i class="bi bi-receipt"></i></a>

					</td>
				</tr>
			{% endfor %}
			</tbody>
		</table>
	</div>
</section>
{% endblock %}

{% block javascripts %}
	<script>
		window.onload = () => {
			let activer = document.querySelectorAll("[type=checkbox]")
			for (let bouton of activer) {
				bouton.addEventListener("click", function () {
					let xmlhttp = new XMLHttpRequest;
					xmlhttp.open("get", `/admin/cours/valider/${this.dataset.id}`)
					xmlhttp.send()
				})
			}
		}
	</script>
{% endblock %}